<template>
    <div class="contenido">
        <section>
            <base-card>
            <h3>UserName</h3>
            <ul>
                <li>Nombre</li>
                <li>Apellido</li>
                <li>Correo</li>
            </ul>
            <base-button link to="/registro_perfil">Completar Perfil</base-button>
            <base-button>Cerrar Sesion</base-button>
            </base-card>
        </section>
        <section>
            <base-card>
                <base-button @click="setSelectedTab('citas-usuario')">Citas</base-button>
                <base-button @click="setSelectedTab('mascotas-usuario')">Mascotas</base-button>
                <!-- <base-button @click="">Adopciones</base-button> -->
            </base-card>
        </section>
        <section>
            <component :is="vista"></component>
        </section>
    </div>
</template>
<script>
import MascotasUsuario from '../../components/usuarios/MascotasUsuario.vue';
import CitasUsuario from '../../components/usuarios/CitasUsuario.vue';
export default {
    components:{
        CitasUsuario,
        MascotasUsuario
    },
    data(){
        return{
            vista:'citas-usuario',
        };
    },
    methods:{
        setSelectedTab(vista){
            this.vista=vista;
        },
    }
}
</script>
<style scoped>
.contenido{
    margin-top: 5rem;
}
.controls {
  display: flex;
  justify-content: space-between;
}
ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
button:active,
button:hover,
button.base-button-active {
  border: 1px solid white;
}
</style>